Generation Framework

## org.eclipse.gmf.common
Class UnexpectedBehaviourException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.gmf.common.UnexpectedBehaviourException

All Implemented Interfaces:
  java.io.Serializable

    public class UnexpectedBehaviourException

extends java.lang.Exception

Checked flavor of `IllegalStateException`.

See Also:
  Serialized Form

Constructor Summary
`UnexpectedBehaviourException(java.lang.String message)`
`UnexpectedBehaviourException(java.lang.String message, java.lang.Throwable cause)`
`UnexpectedBehaviourException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnexpectedBehaviourException

    public UnexpectedBehaviourException(java.lang.String message)

### UnexpectedBehaviourException

    public UnexpectedBehaviourException(java.lang.String message,
                                        java.lang.Throwable cause)

### UnexpectedBehaviourException

    public UnexpectedBehaviourException(java.lang.Throwable cause)

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.